%define real_name Object-MultiType

Summary:	Perl Objects as Hash, Array, Scalar, Code and Glob at the same time
Name:		perl-%{real_name}
Version:	0.05
Release:	2mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GM/GMPASSOS/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module return an object that works like a Hash, Array,
Scalar, Code and Glob object at the same time.

%prep
%setup -q -n %{real_name}-%{version} 
perl -pi -e 'tr /\r//d' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Object/MultiType.pm
%{_mandir}/*/*


%changelog
* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdk
- rpmlint fixes 

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdk
- initial Mandriva package 
